Package org.apache.sling.commons.clam

## Interface ClamService

All Known Implementing Classes:
  `ClamdService`

    @ProviderType
    public interface ClamService

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull ScanResult` `scan​(@NotNull java.io.InputStream data)`

### Method Detail

#### scan

    @NotNull
    @NotNull ScanResult scan​(@NotNull
                             @NotNull java.io.InputStream data)
                      throws java.io.IOException

Parameters:
  `data` - The data to scan for malware
Returns:
  The scan result from Clam
Throws:
  `java.io.IOException` - if scanning data or parsing reply fails